package com.brilliance.isc.vo.lg;


import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Nidgrp;
import com.brilliance.isc.vo.model.Nitp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


/**
 * Amendment
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class NetopnStoreVo extends BaseTransactionVo {

    private Nidgrp nidgrp;
    private Nidgrp oldnidgrp;
    private Nitp nitp;

    @Override
    public void reset() {
        super.reset();
        if (nidgrp == null) {
            nidgrp = new Nidgrp();
        }
        if (nitp == null) {
            nitp = new Nitp();
        }
    }

}